- generic [active] [ref=e1]:
  - checkbox "Toggle sidebar ⌘B Toggle sidebar ⌘B" [checked=mixed] [ref=e2]
  - generic [ref=e3]:
    - banner [ref=e4]: Roomfit v2 Spec — 자동 추출 + 수동 보강
    - main [ref=e5]:
      - heading "Roomfit v2 — Spec Map" [level=1] [ref=e6]:
        - link "Roomfit v2 — Spec Map" [ref=e7] [cursor=pointer]:
          - /url: "#roomfit-v2-spec-map"
      - generic [ref=e79]: "Error: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
      - generic [ref=e82]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
      - generic [ref=e8]:
        - generic [ref=e9]:
          - heading "화면" [level=2] [ref=e10]
          - generic [ref=e84]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
          - generic [ref=e13]:
            - text: b2c
            - generic [ref=e86]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
            - text: · b2b
            - generic [ref=e88]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
        - generic [ref=e16]:
          - heading "Use case" [level=2] [ref=e17]
          - generic [ref=e90]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
          - generic [ref=e20]: domain layer (packages/)
        - generic [ref=e21]:
          - heading "Provider" [level=2] [ref=e22]
          - generic [ref=e92]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
          - generic [ref=e25]:
            - text: b2c
            - generic [ref=e94]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
            - text: · b2b
            - generic [ref=e96]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
        - generic [ref=e28]:
          - heading "시나리오" [level=2] [ref=e29]
          - generic [ref=e98]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
          - generic [ref=e32]:
            - text: 테스트
            - generic [ref=e100]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
            - text: 건에서 추출
      - generic [ref=e34]:
        - generic [ref=e35]:
          - heading "Command" [level=2] [ref=e36]
          - generic [ref=e102]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
          - generic [ref=e39]: MCU 발사용
        - generic [ref=e40]:
          - heading "Response" [level=2] [ref=e41]
          - generic [ref=e104]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
          - generic [ref=e44]: MCU 수신
        - generic [ref=e45]:
          - heading "Component" [level=2] [ref=e46]
          - generic [ref=e106]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
          - generic [ref=e49]: design_system 공유
        - generic [ref=e50]:
          - heading "Feature" [level=2] [ref=e51]
          - generic [ref=e108]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
          - generic [ref=e54]: app별 폴더
      - heading "4-tier 그림" [level=2] [ref=e55]:
        - link "4-tier 그림" [ref=e56] [cursor=pointer]:
          - /url: "#4-tier"
      - paragraph [ref=e57]: "각 다이어그램은 SQL 결과로 동적 생성:"
      - list [ref=e58]:
        - listitem [ref=e59]:
          - link "화면" [ref=e60] [cursor=pointer]:
            - /url: ./screens
          - text: — 폰 ↔ 코드 매칭, app별 카탈로그, 의존 provider/component
        - listitem [ref=e61]:
          - link "Use case" [ref=e62] [cursor=pointer]:
            - /url: ./use-cases
          - text: — domain class 어디서 쓰이는지 역추적
        - listitem [ref=e63]:
          - link "시나리오" [ref=e64] [cursor=pointer]:
            - /url: ./scenarios
          - text: — testWidgets 시나리오 시간축 + 거치는 화면
        - listitem [ref=e65]:
          - link "데이터 흐름" [ref=e66] [cursor=pointer]:
            - /url: ./data-flow
          - text: — MCU 0x41 → DeviceState → use case → UI 파이프
      - heading "시스템 한눈에" [level=2] [ref=e67]:
        - link "시스템 한눈에" [ref=e68] [cursor=pointer]:
          - /url: "#"
      - generic [ref=e111]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
      - generic [ref=e114]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
      - heading "메타" [level=2] [ref=e69]:
        - link "메타" [ref=e70] [cursor=pointer]:
          - /url: "#-1"
      - generic [ref=e117]: "RuntimeError: {\"exception_type\":\"Invalid Input\",\"exception_message\":\"Provided table/dataframe must have at least one column\"}"
    - contentinfo [ref=e71]:
      - navigation [ref=e72]:
        - link "Next page 화면" [ref=e73] [cursor=pointer]:
          - /url: ./screens
          - text: Next page
          - generic [ref=e74]: 화면
      - generic [ref=e75]:
        - text: "Source: /Volumes/WorkSSD/Projects/RoomfitV2 · build via"
        - code [ref=e76]: make extract && npm run build